Bug 130658 - New port: mail/dma - The DragonFly Mail Agent
Summary: New port: mail/dma - The DragonFly Mail Agent
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-17 20:40 UTC by Daniel Roethlisberger
Modified: 2009-02-12 00:50 UTC (History)
1 user (show)

See Also:


Attachments
dma.shar (8.51 KB, text/plain)
2009-01-17 20:40 UTC, Daniel Roethlisberger
no flags Details
dma.shar (9.57 KB, application/x-shar)
2009-01-24 19:45 UTC, Daniel Roethlisberger
no flags Details
dma-20090208.shar (8.70 KB, application/x-shar)
2009-02-09 00:51 UTC, Daniel Roethlisberger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Roethlisberger 2009-01-17 20:40:01 UTC
The DragonFly Mail Agent is a small Mail Transport Agent (MTA),
designed for home and office use.  It accepts mails from locally
installed Mail User Agents (MUA) and delivers the mails either
locally or to a remote destination.  Remote delivery includes
several features like TLS/SSL support and SMTP authentication.

Since dma is not intended as a replacement for real, big MTAs
like sendmail(8) or postfix(1), it does not listen on port 25
for incoming connections.

WWW: http://www.dragonflybsd.org/
Comment 1 Wesley Shields freebsd_committer 2009-01-19 15:23:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 2 Wesley Shields freebsd_committer 2009-01-20 22:36:23 UTC
State Changed
From-To: open->feedback

Submittors request.
Comment 3 Daniel Roethlisberger 2009-01-24 19:45:13 UTC
Attached a shar of a new version of the port.  Main difference to
previous version is an additional patch fixing two NULL pointer
dereferences.  (Patch of course also submitted upstream.)

-- 
Daniel Roethlisberger
http://daniel.roe.ch/
Comment 4 Daniel Roethlisberger 2009-02-09 00:51:12 UTC
DragonFlyBSD's matthias@ has backed out the not-quite-production
quality .forward file handling code from their git repo.
Attached a shar updated to yesterday's version of the DragonFly
Mail Agent.  From my point of view, this version of the port can
be committed now.  Wesley, let me know if you need a diff to
previous instead of the shar.

-- 
Daniel Roethlisberger
http://daniel.roe.ch/
Comment 5 dfilter service freebsd_committer 2009-02-12 00:41:46 UTC
wxs         2009-02-12 00:41:34 UTC

  FreeBSD ports repository

  Modified files:
    mail                 Makefile 
  Added files:
    mail/dma             Makefile distinfo pkg-descr pkg-plist 
    mail/dma/files       dma.rb patch-Makefile 
                         patch-libexec_dma_net.c pkg-message.in 
  Log:
  The DragonFly Mail Agent is a small Mail Transport Agent (MTA),
  designed for home and office use.  It accepts mails from locally
  installed Mail User Agents (MUA) and delivers the mails either
  locally or to a remote destination.  Remote delivery includes
  several features like TLS/SSL support and SMTP authentication.
  
  Since dma is not intended as a replacement for real, big MTAs
  like sendmail(8) or postfix(1), it does not listen on port 25
  for incoming connections.
  
  PR:             ports/130658
  Submitted by:   Daniel Roethlisberger <daniel@roe.ch>
  
  Revision  Changes    Path
  1.946     +1 -0      ports/mail/Makefile
  1.1       +55 -0     ports/mail/dma/Makefile (new)
  1.1       +3 -0      ports/mail/dma/distinfo (new)
  1.1       +58 -0     ports/mail/dma/files/dma.rb (new)
  1.1       +6 -0      ports/mail/dma/files/patch-Makefile (new)
  1.1       +21 -0     ports/mail/dma/files/patch-libexec_dma_net.c (new)
  1.1       +31 -0     ports/mail/dma/files/pkg-message.in (new)
  1.1       +11 -0     ports/mail/dma/pkg-descr (new)
  1.1       +14 -0     ports/mail/dma/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Wesley Shields freebsd_committer 2009-02-12 00:41:55 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!